package com.lz.modules.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.flow.entity.Flow;
import com.lz.modules.flow.entity.FlowChart;

import java.util.List;

/**
* <p>
* 流转表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-18
*/
public interface FlowService extends IService<Flow> {



	Flow selectFlowById(Long id);


	Long insertFlow(Flow flow);


	int updateFlowById(Flow flow);


	int updateCoverFlowById(Flow flow);


	int deleteFlowById(Long id);


    List<Flow> selectByFlowId(Long flowId,Long startId);

    FlowChart selectFlowChartByChartId(Long flowId);


	FlowChart selectFlowChartByFlow(Flow flow);
}